#!/bin/sh
#
# $FreeBSD: ports/games/quakeserver/files/qserver.sh,v 1.3 1999/08/29 11:21:05 peter Exp $
#

QSERVER=/usr/local/quakeserver/unixded
QPIPE=/usr/local/quakeserver/quakeserver.in
LOG=/usr/local/quakeserver/quakeserver.log

cd /usr/local/quakeserver

# This runs the standard quakeserver game, suitable for LAN play
QARGS=	

# A few other ideas/options:

# To run a game better suited for modem play:
#QARGS=	+sys_ticrate 0.1

# To run a registered game (assuming that you've put the registered *.pak
# files into /usr/local/quakeserver/reg/
#QARGS=	-game reg

# To force the server to bind to just one IP address (to run multiple
# servers on the same machine)
#QARGS=	-ip x.x.x.x

# For more ideas, look at /usr/local/quakeserver/readme.unixded as well as
# the documentation that comes with Quake.

# This actually runs the server
$QSERVER $QARGS < $QPIPE >> $LOG &

# Put commands you want to stuff into the console here, each being
# redirected into /usr/local/quakeserver/quakeserver.in
echo "map e1m1" > $QPIPE

#
# EOF
